FanslyTracking Links
Get Tracking Link Stats
Get daily engagement metrics (clicks, claims, follows, subscriptions) for a tracking link over a date range.
Authorization
default AuthorizationBearer <token>
Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Path Parameters
fanslyAccount*string
The Fansly Account ID
tracking_link_id*string
The Fansly tracking link ID.
Query Parameters
before?string
End of the date range (ISO 8601). Defaults to now.
after?string
Start of the date range (ISO 8601). Defaults to 30 days ago.
Response Body
application/json
curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/tracking-links/845759434926862336/stats?before=2026-06-03T23%3A59%3A59Z&after=2026-05-03T00%3A00%3A00Z"{
"data": [
{
"trackingLinkId": "100000000000000001",
"timestamp": 1780358400000,
"clicks": 12,
"claims": 8,
"follows": 3,
"subscriptions": 1,
"year": 2026,
"month": 5,
"date": 30
},
{
"trackingLinkId": "100000000000000001",
"timestamp": 1780444800000,
"clicks": 18,
"claims": 11,
"follows": 4,
"subscriptions": 2,
"year": 2026,
"month": 5,
"date": 31
}
],
"_meta": {
"_credits": {
"used": 1,
"balance": 10055799,
"note": "Always"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
},
"_rate_limits": {
"limit_minute": 5000,
"limit_day": null,
"remaining_minute": 4999,
"remaining_day": null,
"notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
}
}
}